package com.me.pacman.state;

import com.badlogic.gdx.graphics.Texture;
import com.me.pacman.PacDude;

public class MenuState extends State {

    private Texture level;
    private Texture logo;

    public MenuState(PacDude game) {
        super(game);
    }

    @Override
    public void setup() {
        game.assets.load("level.png", Texture.class);
        game.assets.load("logo.png", Texture.class);
        game.assets.finishLoading();

        level = game.assets.get("level.png", Texture.class);
        logo = game.assets.get("logo.png", Texture.class);
        logo.setFilter(Texture.TextureFilter.Linear, Texture.TextureFilter.Linear);
    }

    @Override
    public void render() {
        game.batch.draw(level, 0, 0);
        game.batch.draw(logo, 0, 124, 224, 120);
    }

    @Override
    public void update(float dt) {

    }

}
